Bug 1122289 - JDG JON Plugin Doc Not Complete
Summary: JDG JON Plugin Doc Not Complete
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation
Version: 6.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Post GA
: 6.3.0
Assignee: Rakesh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 20:50 UTC by John Osborne
Modified: 2014-08-14 01:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-14 01:39:55 UTC
Type: Bug


Attachments (Terms of Use)

Description John Osborne 2014-07-22 20:50:05 UTC
If you are using JON in client/server mode the infinispan caches show up simply after you import JBoss, but when you run in library mode you need to import a JMX server to the platform.

Directions here:
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.1/html/Administration_and_Configuration_Guide/Installing_the_JBoss_Operations_Network_Library_Mode_Plugin.html

One thing that is missing from the directions is that you need to add the jboss-client.jar to the classpath (which you can do in the JON wizard)
https://access.redhat.com/solutions/340093

Furthermore you also need to add <jmxStatistics enabled="true" /> as a sub element under your namedcache in library mode to enable jmx, by default it is false

Comment 3 Rakesh 2014-07-24 21:00:57 UTC
Created prerequisites to add in the doc.

Comment 5 Rakesh 2014-07-25 13:00:57 UTC
Hey Tomas, could you please QA this!

Comment 6 Tomas Sykora 2014-07-25 13:14:30 UTC
This looks better now, information is conveyed to the reader. 

We also need implement changes for https://bugzilla.redhat.com/show_bug.cgi?id=1122877 to make it even more better and clear. Setting this to VERIFIED and we will work on further improvements in the scope of other BZ.

Comment 7 Misha H. Ali 2014-08-14 01:39:55 UTC
The fix for this bug is now available on access.redhat.com:

https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.3/


Note You need to log in before you can comment on or make changes to this bug.